/* Copyright start
  Copyright (C) 2008 - 2022 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end */
INSERT INTO configprops ("section", "key_value", "value_value", "public", data_type) VALUES ('HA', 'pg_replication_lag_threshold', '60', True, 'int');

ALTER TABLE cluster_health ADD COLUMN remote_node_communication json,
                           ADD COLUMN workflow json,
                           ADD COLUMN resource_consuming_process json,
                           ADD COLUMN misc_stat json;

INSERT INTO configprops ("section", "key_value", "value_value", "public", data_type) VALUES ('HA', 'memory_threshold', '80', True, 'int');

INSERT INTO configprops ("section", "key_value", "value_value", "public", data_type) VALUES ('HA', 'swap_memory_threshold', '50', True, 'int');

INSERT INTO configprops ("section", "key_value", "value_value", "public", data_type) VALUES ('HA', 'cpu_threshold', '80', True, 'int');

INSERT INTO configprops ("section", "key_value", "value_value", "public", data_type) VALUES ('HA', 'disk_threshold', '80', True, 'int');


ALTER TABLE cluster_command  ADD COLUMN handler_type varchar(64),
                             ADD COLUMN command_type varchar(64),
                             ADD COLUMN payload json,
                             ADD COLUMN response json,
                             ADD COLUMN added_at TIMESTAMP DEFAULT NOW();



--- Removing non null constraint from deprecated columns "commandid" and "command"

ALTER TABLE cluster_command ALTER COLUMN commandid drop not null;
ALTER TABLE cluster_command ALTER COLUMN command drop not null;



--- Increasing command column size to accommodate connector check-health command
ALTER TABLE cluster_command ALTER COLUMN command TYPE varchar;