/* Copyright start
  Copyright (C) 2008 - 2022 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end */

alter table configprops add column data_type character VARYING(64);

delete from configprops where key = 'port';
delete from configprops where key = 'servers';
delete from configprops where key = 'useldap';

insert into configprops ("section", "key", "value", "public", "data_type") VALUES ('LDAP', 'use_ad', 0, false, 'boolean');
insert into configprops ("section", "key", "value", "public", "data_type") VALUES ('LDAP', 'use_ldap', 0, false, 'boolean');
insert into configprops ("section", "key", "value", "public", "data_type") VALUES ('LDAP', 'use_ssl', 0, false, 'boolean');

insert into configprops ("section", "key", "value", "public", "data_type")
  VALUES ('LDAP', 'servers_ports', 'sdldev1ad1:3269,192.168.222.22:389,192.268.220.240:389', false, 'string');
insert into configprops ("section", "key", "value", "public", "data_type") VALUES ('LDAP', 'container', 'Users', false, 'string');
insert into configprops ("section", "key", "value", "public", "data_type") VALUES ('LDAP', 'domain_components', 'CSAD, LOCAL', false, 'string');

update configprops set data_type='int' where key = 'max_failed';
update configprops set data_type='int' where key = 'lock_minutes';
update configprops set data_type='int' where key = 'token_lifetime';
update configprops set data_type='int' where key = 'sms_begin_range';
update configprops set data_type='int' where key = 'sms_end_range';
update configprops set data_type='int' where key = 'voice_begin_range';
update configprops set data_type='int' where key = 'voice_end_range';
update configprops set data_type='int' where key = 'key_size';
update configprops set data_type='int' where key = 'event_count';
update configprops set data_type='int' where key = 'telesign_timeout';

update configprops set data_type='string' where key = 'customer_id';
update configprops set data_type='string' where key = 'auth_id';
update configprops set data_type='string' where key = 'api_key';
update configprops set data_type='string' where key = 'prefix';
update configprops set data_type='string' where key = 'block_patterns';
update configprops set data_type='string' where key = 'valid_char_list';
update configprops set data_type='string' where key = 'special_char_list';
update configprops set data_type='string' where key = 'servers_ports';
update configprops set data_type='string' where key = 'domain_components';
update configprops set data_type='string' where key = 'container';
update configprops set data_type='boolean' where key = 'require_alpha';
update configprops set data_type='boolean' where key = 'require_capital';
update configprops set data_type='boolean' where key = 'require_number';
update configprops set data_type='boolean' where key = 'require_special_char';
update configprops set data_type='boolean' where key = 'verify_block_patterns';
update configprops set data_type='boolean' where key = 'use_ldap';
update configprops set data_type='boolean' where key = 'use_ad';
update configprops set data_type='boolean' where key = 'use_ssl';
