/* Copyright start
  Copyright (C) 2008 - 2022 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end */


ALTER TABLE public.configprops ALTER COLUMN value TYPE TEXT USING value::TEXT;

update configprops set public = TRUE where section = 'LDAP';

insert into configprops (section, key, value, public, data_type) values ('LDAP', 'min_query_len', 3, True, 'int');
insert into configprops (section, key, value, public, data_type) values ('LDAP', 'reader_bind_name', '', True, 'string');
insert into configprops (section, key, value, public, data_type) values ('LDAP', 'reader_password', '', False, 'string');
insert into configprops (section, key, value, public, data_type) values ('LDAP', 'search_attributes', '', True, 'string');
insert into configprops (section, key, value, public, data_type) values ('LDAP', 'search_base', '', True, 'string');
insert into configprops (section, key, value, public, data_type) values ('LDAP', 'search_recursive', 'False', True, 'boolean');
insert into configprops (section, key, value, public, data_type) values ('LDAP', 'page_size', 30, True, 'int');
insert into configprops (section, key, value, public, data_type) values ('LDAP', 'user_map', '[{"ldapAttribute":"sAMAccountName","csAttribute":"auth.loginid"},{"ldapAttribute":"givenName","csAttribute":"app.firstname"},{"ldapAttribute":"sn","csAttribute":"app.lastname"},{"ldapAttribute":"mobile","csAttribute":"app.phoneWork"},{"ldapAttribute":"mail","csAttribute":"app.email"},{"ldapAttribute":"userPrincipalName","csAttribute":"auth.bind_name"}]', True, 'string');
insert into configprops (section, key, value, public, data_type) values ('LDAP', 'allow_user_import', False, True, 'boolean');

DELETE FROM configprops WHERE key='use_ad';
DELETE FROM configprops WHERE key='use_ldap';

UPDATE configprops SET value='True' WHERE key='use_ssl';
UPDATE configprops SET value='' WHERE key='servers_ports';
UPDATE configprops SET value='TEST, LOCAL' WHERE key='domain_components';