/* Copyright start
  Copyright (C) 2008 - 2022 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end */
--- add postman appliance if it doesn't already exist also set appliance paths

ALTER TABLE apikeys
    ADD COLUMN public_key_path text,
    ADD COLUMN private_key_path text;


UPDATE apikeys set public_key_path = '/opt/cyops/configs/keys/APPLIANCE_PUBLIC_KEY',
    private_key_path = '/opt/cyops/configs/keys/APPLIANCE_PRIVATE_KEY' where uuid='6f3626c1-0da7-4b44-8d5e-43750f780a47';


WITH x AS (
   INSERT INTO users (login_id, password, uuid)
   SELECT '0ff9390f-1e27-4281-a42e-38e67aba4367', '', '0ff9390f-1e27-4281-a42e-38e67aba4367'
   WHERE  NOT EXISTS (SELECT 1 FROM userinfo WHERE tenant = 'postman')
   RETURNING user_id
   )
, y AS (
   INSERT INTO userinfo(user_id, domain, user_type, uuid, scope, tenant, create_date)
   SELECT user_id, 'fortinet.com','3','0ff9390f-1e27-4281-a42e-38e67aba4367', NULL,'postman','2020-04-01 22:28:10.075825'
   FROM x
   )
, z AS (
   INSERT INTO userstatus(user_id, status, num_failed, last_success, last_attempt, locked_until, uuid)
   SELECT user_id, '1','0',NULL,NULL,NULL,'0ff9390f-1e27-4281-a42e-38e67aba4367'
   FROM x
   )
INSERT INTO apikeys (user_id, public_key, private_key, uuid, public_key_path, private_key_path)
SELECT user_id, E'-----BEGIN PUBLIC KEY-----\nMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAsU0tKtGmR2oYDgUoTTCS\nmfYzZnfNFCpFrUWcHIzYLocgkPlcJhU8+cJMpYYZhgO3UFaR9SWRR37hTbSqSsPP\n5Iumuar2AYy4RxTJk9rbTF621h74af3hvbj/90bMgJohhou4k5gg6+1NUI+LXU+U\n+1k40QwAZwnQLuXtl4moSVtOHwCv/equ+poA9lvjkLdEK40Xzbu8c8sNAbsECmIv\nsu15nf4eA5mCgNoMiFHfAMJPkQzaU1wmehPf70LCpYIBaRM1H6JaIrNkeK4ifura\ntNLuoqCTVxihlG0gqB+5zkwbBBRNtgOIDeEbDKgJLaFo1Bm09y4hl06osybDZB01\npwIDAQAB\n-----END PUBLIC KEY-----', E'-----BEGIN RSA PRIVATE KEY-----\nMIIEpAIBAAKCAQEAsU0tKtGmR2oYDgUoTTCSmfYzZnfNFCpFrUWcHIzYLocgkPlc\nJhU8+cJMpYYZhgO3UFaR9SWRR37hTbSqSsPP5Iumuar2AYy4RxTJk9rbTF621h74\naf3hvbj/90bMgJohhou4k5gg6+1NUI+LXU+U+1k40QwAZwnQLuXtl4moSVtOHwCv\n/equ+poA9lvjkLdEK40Xzbu8c8sNAbsECmIvsu15nf4eA5mCgNoMiFHfAMJPkQza\nU1wmehPf70LCpYIBaRM1H6JaIrNkeK4ifuratNLuoqCTVxihlG0gqB+5zkwbBBRN\ntgOIDeEbDKgJLaFo1Bm09y4hl06osybDZB01pwIDAQABAoIBADMF7rWf16Y9leaS\n/WIZVFcSTwByAYaIE70lhyOANMZPBMQzvp0HB6EolT4dNUMn1p08DIzr3r8geF4Q\nW+FgMHeo6LYNyPXxNSbfiJMQLIPxzdQY3YxDD6+1iZPzv+5SbMt3cgqngPHkPJeu\nd4DG4izjJEKknYkJfevBJ3qwlsllDl65226plWy3lpUNSxhOeg9k2bs4uTCtv2NM\nGPya7T0vxnC+gCuDQE3tKmB/jQxosjCZ5MB0uaHX4ac6eEKoF41V+lB5Oxftec1i\nAXvqRSj2Kgx8q/q2niejDEIirXfKdKJuEs8NqQrfNETdiJJalJINttT+LvtoU992\nCl8zWIECgYEAyD1s2MZQN0GJi7h26mxnY/vG/E+JFH8fXj471QPSwmyU1TVPHqAZ\nLoWtIww0swpTrQke6tTxlvDDjRBxOPaFzE6cU3f4R0ERTo72XxfMTI0rIwb2b6TS\nsOtRUPqd7U7qMy/VQNIazqlkSJpymT3uNBgeikX83qoMMFY8O+M7NpECgYEA4qyH\nRPCgVJAcvPTenmS9FbImhQqEQW2ZfjW9dLsJkKxoHw3IA94pPd3/yfij2ywpDEeW\nxiTBZ26Uhlqb5sipbqLw1RReZIZo/48aNxQ260fqbbJEw8QL8QKR9Um6RVMGTfIS\nWVJyah1pjx6f482PYtJtm7J7UeP8D0BG3CHX9LcCgYB8iXeA+xY4x5H8TCXpdrJ3\nBMilc/IVxVqFCr+7pD0Ynt+SGy2yJnCC9rDP829zSyDvpZSNCROYhPWabnd8rhZZ\nEys23o6UAmv5KAEi83Ikykfh6RqsJR7E2hYg/z3psgMHAuDnB8WUctXkMerEVDgq\nPjYAWbcD5U7fYULlHFZfgQKBgQCaRATDfGgBZRrJ1nTzo2e0Lkxc2u1rgeWmqXhI\ny0oVNeCe0chAKaAzxLRihl8tuH4vJ0GLlFQzymQ2k8/qXsJA04/H1FbxXzByTLfw\nqEdAFO+MvHhkKzZdTfx7zTOCHqD5xzeJprzLTz0Z9COo66sb/E4wWmXnM5vF3V7c\nTgQlPQKBgQCuDooO8A9aPzzlVpDlvRdDM4b+mjGBUukczq4Dv+AUhMxbsSWjm3gf\n2nIK9XCVYnmiTWi+k0pcNUkE23JkvBaDmSydFH0ZJWdEGRhz36r9Hgfkb+x6cvy5\nMe71cASaH8JSBN1YKtGwdUzTamZQnmDDHWufNsDq0oCwp2oEmROYsw==\n-----END RSA PRIVATE KEY-----','0ff9390f-1e27-4281-a42e-38e67aba4367', '/opt/cyops/configs/keys/POSTMAN_APPLIANCE_PUBLIC_KEY', '/opt/cyops/configs/keys/POSTMAN_APPLIANCE_PRIVATE_KEY'
FROM x;


UPDATE apikeys set public_key_path = '/opt/cyops/configs/keys/POSTMAN_APPLIANCE_PUBLIC_KEY',
    private_key_path = '/opt/cyops/configs/keys/POSTMAN_APPLIANCE_PRIVATE_KEY'
    where uuid in ( SELECT uuid from userinfo where tenant = 'postman');